| Home >> All >> com >> RuntimeCollective >> sitemap >> [ tag Javadoc ] |
com.RuntimeCollective.sitemap.tag: Javadoc index of package com.RuntimeCollective.sitemap.tag.
Package Samples:
com.RuntimeCollective.sitemap.tag
Classes:
RemoveBookmarkTag: A custom JSP tag that sets the request parameters necessary for removing a site location from the user's bookmarks. It generates an a href tag, pointing to the /addRemoveBookmark action. This tag takes the following attributes: name - the name of the bean, under page or request or session scope, that holds the id of the site location [Optional]. scope - the scope of the bean to load [Optional]. property - the property of the bean, specified by 'name', that holds the id of the site location. If this is not set, then 'id' is used. [Optional]. id - the id of the site location to bookmark. [Optional]. ...
AddBookmarkTag: A custom JSP tag that sets the request parameters necessary for adding a site location to the user's bookmarks. It generates an a href tag, pointing to the /addRemoveBookmark action. This tag takes the following attributes: name - the name of the bean, under page or request or session scope, that holds the id of the site location [Optional]. scope - the scope of the bean to load [Optional]. property - the property of the bean, specified by 'name', that holds the id of the site location. If this is not set, then 'id' is used. [Optional]. id - the id of the site location to bookmark. [Optional]. ...
BreadcrumbTag: View the breadcrumb trail for a specified SiteNode. The attributes identify the id of the SiteNode to use, and options for how the breadcrumb trail is displayed. This JSP tag takes the following attributes: name - the name of the bean, under page or request or session scope, that holds the id of the SiteNode [Optional]. scope - the scope of the bean to load [Optional]. property - the property of the bean, specified by 'name', that holds the id of the SiteNode. If this is not set, then 'id' is used. [Optional]. id - the id of the SiteNode to bookmark. [Optional]. parameter - the request parameter ...
PublishableStatusTag: A custom JSP tag that creates displays the status of a Publishable. This Tag now uses an optional web.xml parameters to know which "display style to use". For now the only supported styles are: - "trunkandlive" for versioned publishables which have one trunk and one live versions - nothing, "" for the default behavior One parameter: name - the name of the Publishable bean (on any scope).
PublishDateTag: A custom JSP tag that creates a date tag for the publication of pages. Two parameters: property - the base name of the properties, hence the tag will refer to propertyDay, propertyMonth and propertyYear properties. name - the name of the form bean (on any scope) that contains the current values.
ColourSchemeInputTag: A custom JSP tag that creates a ColourScheme chooser tag. Two parameters: property - the property of the form bean that will be set. name - the name of the form bean (on any scope) that contains the current value. If this is not set, defaults to 1. [Optional]
ToPublishStatusTag: A custom JSP tag that displays the status of a Publishable for the admin to Publish it or not. The displayed message looks like: No change, Page changed, New page. One parameter: name - the name of the Publishable bean (on any scope).
| Home | Contact Us | Privacy Policy | Terms of Service |